version: '3'
services:
  openldap:
    image: bitnamilegacy/openldap:2.6.10
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - 1panel-network        
    ports:
      - ${LDAP_PORT}:1389
    environment:
      LDAP_ROOT: ${LDAP_ROOT}
      LDAP_ADMIN_USERNAME: ${LDAP_ADMIN_USERNAME}
      LDAP_ADMIN_PASSWORD: ${LDAP_ADMIN_PASSWORD}
    volumes:
      - './data:/bitnami/openldap'
    labels:
      createdBy: "Apps" 
networks:
  1panel-network:
    external: true